- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKTableData Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKTableData ()

## Public Attributes
IWORKColumnSizes_t | m_columnSizes
IWORKRowSizes_t | m_rowSizes
unsigned | m_column
unsigned | m_row
unsigned | m_numColumns
unsigned | m_numRows
boost::optional< unsigned > | m_columnSpan
boost::optional< unsigned > | m_rowSpan
boost::optional< unsigned > | m_cellMove
boost::optional< std::string > | m_content
boost::optional< IWORKFormula > | m_formula
IWORKGridLineList_t | m_horizontalLines
IWORKGridLineList_t | m_verticalLines
IWORKStylePtr_t | m_style
IWORKCellType | m_type

## Constructor & Destructor Documentation

libetonyek::IWORKTableData::IWORKTableData | ( |  | ) |

## Member Data Documentation

boost::optional<unsigned> libetonyek::IWORKTableData::m_cellMove

unsigned libetonyek::IWORKTableData::m_column

IWORKColumnSizes_t libetonyek::IWORKTableData::m_columnSizes

boost::optional<unsigned> libetonyek::IWORKTableData::m_columnSpan

boost::optional<std::string> libetonyek::IWORKTableData::m_content

boost::optional<IWORKFormula> libetonyek::IWORKTableData::m_formula

IWORKGridLineList_t libetonyek::IWORKTableData::m_horizontalLines

unsigned libetonyek::IWORKTableData::m_numColumns

unsigned libetonyek::IWORKTableData::m_numRows

unsigned libetonyek::IWORKTableData::m_row

IWORKRowSizes_t libetonyek::IWORKTableData::m_rowSizes

boost::optional<unsigned> libetonyek::IWORKTableData::m_rowSpan

IWORKStylePtr_t libetonyek::IWORKTableData::m_style

IWORKCellType libetonyek::IWORKTableData::m_type

IWORKGridLineList_t libetonyek::IWORKTableData::m_verticalLines

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp